%define	oname	binio

Summary:	Binary I/O stream class library
Name:		libbinio
Version:	1.4
Release:	%mkrel 9
Source0:	http://prdownloads.sourceforge.net/libbinio/%{name}-%{version}.tar.bz2
#Patch0:		libbinio-1.4-no-long-long.patch
Patch1:		libbinio-1.4-string-conversion.patch
Patch2:		libbinio-1.4-gcc4.4.patch
URL:		http://libbinio.sourceforge.net/
License:	LGPLv2+
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

%define	major	1
%define	libname	%mklibname %{oname} %{major}
%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains the shared library needed to run applications
based on %{name}.

%define	libdev	%mklibname -d %{oname}
%package -n	%{libdev}
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname -d %{oname} 1}

%description -n %{libdev}
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains C++ header files, the shared library symlink and
the developer documentation for %{name}.

%define libstat %mklibname -d -s %{oname}
%package -n	%{libstat}
Summary:	Static library for %{name}
Group:		Development/C++
Requires:	%{libdev} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname -s -d %{oname} 1}

%description -n %{libstat}
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains the static library of %{name}.

%prep
%setup -q
#%patch0 -p1 -b .nolonglong
%patch1 -p1 -b .stringconversion
%patch2 -p1

%build
autoreconf -i
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%post -n %{libdev}
%_install_info %{name}.info

%postun -n %{libdev}
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{_libdir}/libbinio.so.%{major}*

%files -n %{libdev}
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_infodir}/*.info*
%{_libdir}/pkgconfig/*

%files -n %{libstat}
%defattr(-,root,root)
%{_libdir}/*.a



%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-9mdv2011.0
+ Revision: 620082
- the mass rebuild of 2010.0 packages

* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 1.4-8mdv2010.0
+ Revision: 378714
- fix build with gcc 4.4

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.4-7mdv2009.0
+ Revision: 267803
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4-6mdv2009.0
+ Revision: 217856
- drop P0 as using uint64_t in stead of long long will give more headaches
  with adplug needed to be fixed etc..

* Tue Jun 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4-5mdv2009.0
+ Revision: 217702
- d'oh, forgot to run autoreconf first to actually  put P0 to use..

* Tue Jun 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4-4mdv2009.0
+ Revision: 217611
- import libbinio


* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 1.4-3mdv2008.1
+ Revision: 101737
- new devel name
- update license tag
- remove old conflict


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 1.4-3mdv2007.0
+ Revision: 112780
- rebuild
- Import binio

* Sat Oct 07 2006 Gtz Waschk <waschk@mandriva.org> 1.4-2mdv2007.1
- rebuild

* Mon Sep 19 2005 Gtz Waschk <waschk@mandriva.org> 1.4-1mdk
- update file list
- New release 1.4

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.3-2mdk
- Rebuild

* Fri Aug 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- New release 1.3

* Sat Jun 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-5mdk
- fix source URL
- drop prefix
- new g++

